Subject: Re: [RFC PATCH net-next v2 1/1] net: Support for switch port configuration

From: Thomas Graf <[email-masked]>
Date: Fri, 19 Dec 2014 00:45:45 +0000

On 12/18/14 at 06:02pm, Varlese, Marco wrote:
> Roopa, one of the comments I got from Thomas Graf on my v1 patch was that your patch and mine were supplementary ("I think Roopa's patches are supplementary. Not all switchdev users will be backed with a Linux Bridge. I therefore welcome your patches very much")... I also understood by others that the patch made sense for the same reason. I simply do not understand why these attributes (and maybe others in the future) could not be configured directly on a standard port but have to go through a bridge.

Apologies for this confusion. I take that back. I was under the
impression netdev_switch_port_bridge_setlink(), based on the "bridge"
in the function name, would derive the attributes based on capabilities
and assumption of the bridge module.

This is not the case in the latest patchset proposed so it could
indeed serve as the Netlink API for both the bridge and non bridge
case.